.flat {
    padding: 0 size-rel(16px) size-rel(40px) size-rel(16px);
    margin: 0 size-rel(-16px) size-rel(40px) size-rel(-16px);
    border-bottom: 1px solid $gray;

    &__article {
        color: $secondary;
        font-size: size-rel(10px);
        line-height: size-rel(20px);
    }

    &__header {
        margin-bottom: size-rel(24px);
    }

    &__place {
        margin-bottom: size-rel(24px);

        &--xs {
            display: block;
        }

        &--md {
            display: none;
        }

        &--address {
            margin-bottom: size-rel(8px);
        }

        &--name {
            color: $accent;
        }

        &--street {

        }

        &__media {
            margin-bottom: size-rel(40px);
        }
    }

    &__media {
        margin-bottom: size-rel(40px);
    }

    &__content {

    }

    &__info {
        margin: 0 size-rel(-16px) size-rel(24px) size-rel(-16px);
        padding: 0 size-rel(16px) size-rel(24px) size-rel(16px);
        border-bottom: 1px solid $gray;

        &--base {
            margin-bottom: size-rel(24px);
        }

        &--advance {
            display: none;
            padding-top: size-rel(24px);
        }
    }

    &__specifications {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        white-space: nowrap;
        font-size: size-rel(12px);
        line-height: size-rel(22px);

        li {
            width: 50%;

            &:nth-child(1),
            &:nth-child(2) {
                margin-bottom: size-rel(24px);
            }
        }

        &--label {
            color: $secondary;
            font-size: size-rel(10px);
            line-height: size-rel(20px);
        }

        &--value {
            font-weight: 500;
        }
    }

    @include media-breakpoint-up(sm) {

        &__specifications {

            li {
                width: auto;

                &:nth-child(1),
                &:nth-child(2) {
                    margin-bottom: 0;
                }

                &:not(:last-child) {
                    margin-right: size-rel(40px);
                }
            }
        }

        &__place {
            margin-bottom: size-rel(40px);
        }
    }

    @include media-breakpoint-up(md) {
        padding: 0;
        margin: 0 0 size-rel(80px) 0;
        border-bottom: none;

        &__header {
            margin-bottom: size-rel(16px);
        }

        &__place {
            margin-bottom: size-rel(24px);

            &--xs {
                display: none;
            }

            &--md {
                display: block;
            }

            &--address {
                display: flex;
                align-items: center;
            }

            &--name {
                margin-right: size-rel(8px);
            }
        }

        &__main {
            display: flex;
            justify-content: space-between;
            align-items: flex-start;
        }

        &__media {
            margin-bottom: 0;
            width: calc(100% - 21.25rem);
            flex-shrink: 0;
        }

        &__content {
            width: size-rel(300px);
            flex-shrink: 0;
            min-height: 1px;
            display: flex;
            flex-direction: column;

            &--info {
                order: 2;
            }

            &--price {
                order: 1;
            }
        }

        &__info {
            margin: 0;
            padding: 0;
            border-bottom: none;
        }

        &__specifications {

            li {

                &:not(:last-child) {
                    margin-right: size-rel(24px);
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {
        margin-bottom: size-rel(120px);
    }

    @include media-breakpoint-up(xxl) {

        &__article {
            font-size: size-rel(12px);
            line-height: size-rel(22px);
        }

        &__header {
            margin-bottom: size-rel(24px);
        }

        &__media {
            width: calc(100% - 26.375rem);
        }

        &__content {
            width: size-rel(382px);
        }

        &__info {

            &--base {
                margin-bottom: size-rel(40px);
            }

            &--advance {
                padding-top: size-rel(40px);
            }
        }

        &__specifications {

            &--label {
                font-size: size-rel(14px);
                line-height: size-rel(24px);
            }
        }
    }
}

.flat-header {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;

    &__title {
        font-weight: 600;
        font-size: size-rel(24px);
        line-height: size-rel(32px);
        margin-bottom: size-rel(8px);
    }

    &__buttons {

        &--wrap {
            display: flex;
            align-items: center;
            margin-top: size-rel(-20px);
        }
    }

    &__tags {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;

        li {
            &:not(:last-child) {
                margin-right: size-rel(4px);
            }
        }
    }

    @include media-breakpoint-up(md) {
        justify-content: flex-start;
        align-items: center;

        &__title {
            margin: 0;
        }

        &__tags {
            margin-left: size-rel(24px);
        }

        &__content {
            display: flex;
            align-items: center;
        }

        &__buttons {
            margin-left: size-rel(8px);

            &--wrap {
                margin-top: 0;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__title {
            font-size: size-rel(32px);
            line-height: size-rel(40px);
        }
    }
}

.flat-media {

    &__gallery {
        position: relative;
    }

    &__item {
        height: size-rel(300px);
        display: flex;
        align-items: center;
        justify-content: center;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: cover;

        &--border {
            border: 1px solid $gray;
        }

        &--image {
            display: block;
            max-width: 288px;
        }
    }

    &__nav {
        top: calc(50% - 15px);
        z-index: 20;
        position: absolute;

        &--prev {
            left: 0;
        }

        &--next {
            right: 0;
        }
    }

    &__thumbs {
        display: none;
    }

    &__thumb {
        cursor: pointer;
        height: size-rel(98px);
        display: flex;
        align-items: center;
        justify-content: center;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: cover;

        &--border {
            border: 1px solid $gray;
        }

        &--image {
            display: block;
            width: size-rel(86px);
        }
    }

    @include media-breakpoint-up(sm) {

        &__gallery {

            .swiper-slide {
                width: size-rel(568px);
            }
        }

        &__item {
            height: size-rel(320px);

            &--image {
                max-width: size-rel(320px);
            }
        }

        &__nav {

            &--prev {
                left: size-rel(8px);
            }

            &--next {
                right: size-rel(8px);
            }
        }
    }

    @include media-breakpoint-up(md) {


        &__item {
            height: size-rel(370px);

            &--image {
                max-width: size-rel(340px);
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__gallery {
            margin-bottom: size-rel(24px);
        }

        &__thumbs {
            display: block;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__item {
            height: size-rel(510px);

            &--image {
                max-width: size-rel(500px);
            }
        }

        &__thumb {
            height: size-rel(138px);

            &--image {
                max-width: size-rel(340px);
            }
        }
    }
}

.flat-price {
    font-size: size-rel(12px);
    line-height: size-rel(22px);

    &__finishing {
        display: flex;
        align-items: center;
        font-size: size-rel(10px);
        line-height: size-rel(20px);

        &--icon {
            font-size: 0;
            line-height: 0;
            margin-right: size-rel(8px);
            height: size-rel(16px);
            display: inline-block;
        }

        &--text {
            display: inline-block;
            white-space: nowrap;
        }
    }

    &__value {
        font-weight: 600;
        font-size: size-rel(20px);
        line-height: size-rel(32px);
    }

    &__credit {
        color: $accent;

        &--xs {
            display: block;
        }

        &--md {
            display: none;
        }
    }

    &__checkout {
        padding-top: size-rel(24px);

        &--item {

            &:not(:last-child) {
                margin-bottom: size-rel(8px);
            }
        }

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: size-rel(40px);

        &__credit {

            &--xs {
                display: none;
            }

            &--md {
                display: block;
            }
        }

        &__checkout {
            margin-bottom: size-rel(8px);
            display: flex;
            align-items: center;

            &--item {

                &:not(:last-child) {
                    margin-bottom: 0;
                    margin-right: size-rel(16px);
                }
            }

            .btn {
                width: auto;
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: size-rel(14px);
        line-height: size-rel(24px);

        &__finishing {
            font-size: size-rel(12px);
            line-height: size-rel(22px);
        }

        &__value {
            font-size: size-rel(24px);
            line-height: size-rel(32px);
        }
    }
}



@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
